#!/bin/bash

view_user_info() {
    read -p "Введите имя пользователя: " username
    getent passwd "$username"
}

create_user() {
    read -p "Введите имя нового пользователя: " username
    sudo useradd "$username"
    echo "Пользователь $username создан."
}

delete_user() {
    read -p "Введите имя пользователя для удаления: " username
    sudo userdel "$username"
    echo "Пользователь $username удален."
}

while true; do
    echo "1) Просмотр информации о пользователе"
    echo "2) Создание пользователя"
    echo "3) Удаление пользователя"
    echo "4) Выход"
    read -p "Ваш выбор: " choice

    case $choice in
        1) view_user_info ;;
        2) create_user ;;
        3) delete_user ;;
        4) exit ;;
        *) echo "Неверный выбор." ;;
    esac
done
